openapi: 3.0.0
info:
  title: DonjaStubica
  version: '1.0'
servers:
  - url: 'https://www.hr-nogomet.hr/mnlgupcevkraj/donja_stubica'
paths:
  /news/get_news.php:
    parameters: []
    post:
      summary: Dohvat vijesti
      operationId: post-news
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  news:
                    type: array
                    items:
                      $ref: '#/components/schemas/news'
                  success:
                    type: number
                    description: 0 ili 1
                  total_items:
                    type: number
                    description: Ukupan broj vijesti
                  remaining_items:
                    type: number
                    description: Preostali broj vijesti
      description: Dohvat vijesti s paginacijom
      parameters: []
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                already_loaded_items_count:
                  type: string
        description: ''
  /news/get_news_details.php:
    post:
      summary: Dohvat jedne vijesti
      tags: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  news:
                    type: array
                    items:
                      $ref: '#/components/schemas/news'
                  success:
                    type: number
      operationId: post-news-get_news_details.php
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                id:
                  type: string
components:
  schemas:
    news:
      description: ''
      type: object
      properties:
        id:
          type: string
          minLength: 1
        title:
          type: string
          minLength: 1
        text:
          type: string
          minLength: 1
        description:
          type: string
          minLength: 1
        timestamp:
          type: string
          minLength: 1
        pictures:
          type: array
          items:
            type: string
      required:
        - id
        - title
        - text
        - description
        - timestamp
      title: news
      x-examples:
        example-1:
          id: '170'
          title: Obrazac za prijavu štete od potresa
          text: "Prijavu nastale štete građani i građanke Donje Stubice mogu podnijeti na obrascu zaključno do petka  17. travnja 2020. godine. Prijave se zaprimaju putem elektronske pošte (e-mail) komunalnog redara M. Kebeta: milan@donjastubica.hr\r\n\r\nObrazac preuzmite ovdje:\r\nhttp://www.donjastubica.hr/files/OBRAZAC%20PN%20(4)(1).docx"
          description: >-
            Prijavu nastale štete građani i građanke Donje Stubice mogu
            podnijeti na obrascu zaključno do pe
          timestamp: '2020-12-16 11:24:22'
          pictures:
            - >-
              https://www.hr-nogomet.hr/mnlgupcevkraj/donja_stubica/news/images/170/44233420_997aba76b17017c819009d7b36899c7f.jpg